Issues upgrading to 2.4.4_3



  • Hi

    I tried upgrading 2.4.4_2 to the latest stable via the UI but it failed twice, with

    pkg-static: https://pkg.pfsense.org/pfSense_v2_4_4_amd64-core/All/pfSense-kernel-pfSense-2.4.4_3.txz: Operation timed out
    Failed

    I note it said :
    Number of packages to be upgraded: 13

    The process will require 6 MiB more space.

    But there is plenty of space according to the dashboard.

    Disk usage:
    /
    8% of 13GiB - ufs
    /var/run
    3% of 3.4MiB - ufs in RAM

    After reading https://docs.netgate.com/pfsense/en/latest/install/upgrade-troubleshooting.html I changed the branch to be nightly, then back again to stable.

    This time the upgrade seemed to work, but on rebooting the dashboard says:

    Version 2.4.4-RELEASE-p2 (amd64)
    built on Wed May 15 18:53:44 EDT 2019
    FreeBSD 11.2-RELEASE-p10

    Version 2.4.4_3 is available.
    Version information updated at Fri Jun 14 10:53:22 BST 2019

    But on the Update page it says:

    Current Base System
    2.4.4_3
    Latest Base System
    2.4.4_3
    Status
    Up to date.

    Confused!
    Any ideas?

    Upgrade logs:

    Updating repositories metadata...
    Updating pfSense-core repository catalogue...
    pfSense-core repository is up to date.
    Updating pfSense repository catalogue...
    pfSense repository is up to date.
    All repositories are up to date.

    Removing vital flag from lang/php72... done.
    Downloading upgrade packages...
    Updating pfSense-core repository catalogue...
    pfSense-core repository is up to date.
    Updating pfSense repository catalogue...
    pfSense repository is up to date.
    All repositories are up to date.
    Checking for upgrades (14 candidates): .......... done
    Processing candidates (14 candidates): .......... done
    The following 13 package(s) will be affected (of 0 checked):

    Installed packages to be UPGRADED:
    wpa_supplicant: 2.6_2 -> 2.8 [pfSense]
    unbound: 1.8.1 -> 1.9.1 [pfSense]
    sshguard: 2.2.0_4 -> 2.3.1 [pfSense]
    sqlite3: 3.24.0_1 -> 3.28.0 [pfSense]
    python27: 2.7.15 -> 2.7.16 [pfSense]
    pfSense-rc: 2.4.4_2 -> 2.4.4_3 [pfSense-core]
    pfSense-kernel-pfSense: 2.4.4_2 -> 2.4.4_3 [pfSense-core]
    pfSense-default-config: 2.4.4_2 -> 2.4.4_3 [pfSense-core]
    pfSense-base: 2.4.4_2 -> 2.4.4_3 [pfSense-core]
    pfSense: 2.4.4_2 -> 2.4.4_3 [pfSense]
    ntp: 4.2.8p12 -> 4.2.8p13 [pfSense]
    hostapd: 2.6_2 -> 2.8 [pfSense]
    devcpu-data: 1.19 -> 1.22 [pfSense]

    Number of packages to be upgraded: 13

    The process will require 6 MiB more space.
    69 MiB to be downloaded.
    [1/13] Fetching wpa_supplicant-2.8.txz: .......... done
    [2/13] Fetching unbound-1.9.1.txz: .......... done
    [3/13] Fetching sshguard-2.3.1.txz: .......... done
    [4/13] Fetching sqlite3-3.28.0.txz: .......... done
    [5/13] Fetching python27-2.7.16.txz: .......... done
    [6/13] Fetching pfSense-rc-2.4.4_3.txz: .. done
    [7/13] Fetching pfSense-kernel-pfSense-2.4.4_3.txz: .......... done
    pkg-static: https://pkg.pfsense.org/pfSense_v2_4_4_amd64-core/All/pfSense-kernel-pfSense-2.4.4_3.txz: Operation timed out
    Failed

    =========================================

    Updating repositories metadata...
    Updating pfSense-core repository catalogue...
    pfSense-core repository is up to date.
    Updating pfSense repository catalogue...
    pfSense repository is up to date.
    All repositories are up to date.

    Removing vital flag from lang/php72... done.
    Downloading upgrade packages...
    Updating pfSense-core repository catalogue...
    pfSense-core repository is up to date.
    Updating pfSense repository catalogue...
    pfSense repository is up to date.
    All repositories are up to date.
    Checking for upgrades (14 candidates): .......... done
    Processing candidates (14 candidates): .......... done
    The following 13 package(s) will be affected (of 0 checked):

    Installed packages to be UPGRADED:
    wpa_supplicant: 2.6_2 -> 2.8 [pfSense]
    unbound: 1.8.1 -> 1.9.1 [pfSense]
    sshguard: 2.2.0_4 -> 2.3.1 [pfSense]
    sqlite3: 3.24.0_1 -> 3.28.0 [pfSense]
    python27: 2.7.15 -> 2.7.16 [pfSense]
    pfSense-rc: 2.4.4_2 -> 2.4.4_3 [pfSense-core]
    pfSense-kernel-pfSense: 2.4.4_2 -> 2.4.4_3 [pfSense-core]
    pfSense-default-config: 2.4.4_2 -> 2.4.4_3 [pfSense-core]
    pfSense-base: 2.4.4_2 -> 2.4.4_3 [pfSense-core]
    pfSense: 2.4.4_2 -> 2.4.4_3 [pfSense]
    ntp: 4.2.8p12 -> 4.2.8p13 [pfSense]
    hostapd: 2.6_2 -> 2.8 [pfSense]
    devcpu-data: 1.19 -> 1.22 [pfSense]

    Number of packages to be upgraded: 13

    The process will require 6 MiB more space.
    55 MiB to be downloaded.
    [1/7] Fetching pfSense-kernel-pfSense-2.4.4_3.txz: .......... done
    [2/7] Fetching pfSense-default-config-2.4.4_3.txz: . done
    [3/7] Fetching pfSense-base-2.4.4_3.txz: ......... done
    pkg-static: https://pkg.pfsense.org/pfSense_v2_4_4_amd64-core/All/pfSense-base-2.4.4_3.txz: Operation timed out
    Failed

    =======================================

    Updating repositories metadata...
    pkg-static: Warning: Major OS version upgrade detected. Running "pkg-static install -f pkg" recommended
    Updating pfSense-core repository catalogue...
    pfSense-core repository is up to date.
    Updating pfSense repository catalogue...
    pfSense repository is up to date.
    All repositories are up to date.

    Upgrading pkg... done.
    Updating repositories metadata...
    pkg-static: Warning: Major OS version upgrade detected. Running "pkg-static install -f pkg" recommended
    Updating pfSense-core repository catalogue...
    Fetching meta.txz: . done
    Fetching packagesite.txz: . done
    Processing entries: . done
    pfSense-core repository update completed. 7 packages processed.
    Updating pfSense repository catalogue...
    Fetching meta.txz: . done
    Fetching packagesite.txz: .......... done
    Processing entries: .......... done
    pfSense repository update completed. 518 packages processed.
    All repositories are up to date.

    Setting vital flag on pkg... done.
    Upgrading pkg... done.
    Updating repositories metadata...
    pkg-static: Warning: Major OS version upgrade detected. Running "pkg-static install -f pkg" recommended
    Updating pfSense-core repository catalogue...
    Fetching meta.txz: . done
    Fetching packagesite.txz: . done
    Processing entries: . done
    pfSense-core repository update completed. 7 packages processed.
    Updating pfSense repository catalogue...
    Fetching meta.txz: . done
    Fetching packagesite.txz: .......... done
    Processing entries: .......... done
    pfSense repository update completed. 518 packages processed.
    All repositories are up to date.

    Removing vital flag from lang/php72... done.
    Downloading upgrade packages...
    pkg-static: Warning: Major OS version upgrade detected. Running "pkg-static install -f pkg" recommended
    Updating pfSense-core repository catalogue...
    pfSense-core repository is up to date.
    Updating pfSense repository catalogue...
    pfSense repository is up to date.
    All repositories are up to date.
    Checking for upgrades (14 candidates): .......... done
    Processing candidates (14 candidates): .......... done
    The following 13 package(s) will be affected (of 0 checked):

    Installed packages to be UPGRADED:
    wpa_supplicant: 2.6_2 -> 2.8 [pfSense]
    unbound: 1.8.1 -> 1.9.1 [pfSense]
    sshguard: 2.2.0_4 -> 2.3.1 [pfSense]
    sqlite3: 3.24.0_1 -> 3.28.0 [pfSense]
    python27: 2.7.15 -> 2.7.16 [pfSense]
    pfSense-rc: 2.4.4_2 -> 2.4.4_3 [pfSense-core]
    pfSense-kernel-pfSense: 2.4.4_2 -> 2.4.4_3 [pfSense-core]
    pfSense-default-config: 2.4.4_2 -> 2.4.4_3 [pfSense-core]
    pfSense-base: 2.4.4_2 -> 2.4.4_3 [pfSense-core]
    pfSense: 2.4.4_2 -> 2.4.4_3 [pfSense]
    ntp: 4.2.8p12 -> 4.2.8p13 [pfSense]
    hostapd: 2.6_2 -> 2.8 [pfSense]
    devcpu-data: 1.19 -> 1.22 [pfSense]

    Number of packages to be upgraded: 13

    The process will require 6 MiB more space.
    41 MiB to be downloaded.
    [1/5] Fetching pfSense-base-2.4.4_3.txz: .......... done
    [2/5] Fetching pfSense-2.4.4_3.txz: . done
    [3/5] Fetching ntp-4.2.8p13.txz: .......... done
    [4/5] Fetching hostapd-2.8.txz: .......... done
    [5/5] Fetching devcpu-data-1.22.txz: .......... done
    Checking integrity... done (0 conflicting)

    Upgrading pfSense-rc...
    pkg-static: Warning: Major OS version upgrade detected. Running "pkg-static install -f pkg" recommended
    Checking integrity... done (0 conflicting)
    The following 1 package(s) will be affected (of 0 checked):

    Installed packages to be UPGRADED:
    pfSense-rc: 2.4.4_2 -> 2.4.4_3 [pfSense-core]

    Number of packages to be upgraded: 1
    [1/1] Upgrading pfSense-rc from 2.4.4_2 to 2.4.4_3...
    [1/1] Extracting pfSense-rc-2.4.4_3: .... done

    Upgrading pfSense kernel...
    pkg-static: Warning: Major OS version upgrade detected. Running "pkg-static install -f pkg" recommended
    Checking integrity... done (0 conflicting)
    The following 1 package(s) will be affected (of 0 checked):

    Installed packages to be UPGRADED:
    pfSense-kernel-pfSense: 2.4.4_2 -> 2.4.4_3 [pfSense-core]

    Number of packages to be upgraded: 1
    [1/1] Upgrading pfSense-kernel-pfSense from 2.4.4_2 to 2.4.4_3...
    [1/1] Extracting pfSense-kernel-pfSense-2.4.4_3: .......... done
    ===> Keeping a copy of current kernel in /boot/kernel.old

    Removing unnecessary packages... done.
    Upgrade is complete. Rebooting in 10 seconds.
    Success


  • LAYER 8 Rebel Alliance

    Worst case take a Backup and clean reinstall 2.4.4-p3 with the Recover config.xml Option: https://docs.netgate.com/pfsense/en/latest/backup/automatically-restore-during-install.html

    -Rico


Log in to reply